Bug 831225 - Evolution crash after connection down
Evolution crash after connection down
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 10:10 EDT by Dandim
Modified: 2012-06-22 14:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:51:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evolution crash (209.07 KB, image/png)
2012-06-12 10:11 EDT, Dandim
no flags Details
backtrace during unsuccessfully updated email accounts (10.60 KB, text/plain)
2012-06-14 17:50 EDT, Dandim
no flags Details

  None (edit)
Description Dandim 2012-06-12 10:10:22 EDT
Description of problem:
after turning off the wifi connection and reconnection wifi evolution crashes. I can update the email accounts. Evolution does not go off. I have to kill him.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dandim 2012-06-12 10:11:34 EDT
Created attachment 591199 [details]
Evolution crash
Comment 2 Milan Crha 2012-06-13 05:39:54 EDT
Thanks for a bug report. Is that green at the top of the screen the processor usage? If yes, is evolution the main part of it? If it is, then I suppose this is related to the upstream bug [1] and to commit [2], which is committed for 3.4.3 of evolution.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=664639
[2] http://git.gnome.org/browse/evolution-data-server/commit/?h=gnome-3-4&id=b2dde29
Comment 3 Dandim 2012-06-13 07:28:45 EDT
No, this is RAM usage. Blue is CPU usage. Problem is also after waking from sleep. RAM and CPU usage is normal.
during the update email accounts (when evolution freezes):

Tasks: 182 total,   2 running, 180 sleeping,   0 stopped,   0 zombie
Cpu(s):  3.7%us,  1.8%sy,  0.0%ni, 94.2%id,  0.0%wa,  0.2%hi,  0.2%si,  0.0%st
Mem:   8111592k total,  4310900k used,  3800692k free,   179480k buffers
Swap: 10223612k total,        0k used, 10223612k free,  2843276k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 5935 daniel    20   0 1902m 173m  36m S  7.6  2.2   4:26.28 gnome-shell        
 5641 root      20   0  135m  18m 5424 S  7.0  0.2   5:40.43 Xorg               
12609 daniel    20   0 1494m 104m  24m S  3.3  1.3   0:11.45 evolution          
13066 daniel    20   0 1886m  62m  24m S  2.7  0.8   0:18.50 rhythmbox          
13335 daniel    20   0  588m  15m  10m S  1.0  0.2   0:00.20 gnome-terminal
Comment 4 Milan Crha 2012-06-14 03:06:25 EDT
You are right, there is a known issue with waking from sleep. Could you install debuginfo packages for evolution-data-server and evolution and get a backtrace of the stuck evolution, thus we'll see what it does (or tries to do), please? You can do that with command like this:
   $ gdb --batch --ex "t a a bt" -pid=PID &>bt.txt
where PID is a process ID of running evolution. Please make sure the backtrace will not expose any private information, especially passwords (I usually search for "pass" (quotes for clarity only)).
Comment 5 Dandim 2012-06-14 17:50:21 EDT
Created attachment 591939 [details]
backtrace during unsuccessfully updated email accounts
Comment 6 Milan Crha 2012-06-15 06:05:11 EDT
Thanks for the update. Even the backtrace is missing all debug information, I guess this is related to the upstream bug [1], which is backported for 3.4.3 release, which will be done next Monday, June 18th. I would wait for 3.4.3 of evolution-data-server and retest with it, to see whether it'll help here too.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=664639
Comment 7 Fedora Update System 2012-06-18 05:06:00 EDT
evolution-mapi-3.4.3-1.fc17,evolution-exchange-3.4.3-1.fc17,evolution-ews-3.4.3-1.fc17,evolution-3.4.3-1.fc17,evolution-data-server-3.4.3-1.fc17,gtkhtml3-4.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/evolution-mapi-3.4.3-1.fc17,evolution-exchange-3.4.3-1.fc17,evolution-ews-3.4.3-1.fc17,evolution-3.4.3-1.fc17,evolution-data-server-3.4.3-1.fc17,gtkhtml3-4.4.3-1.fc17
Comment 8 Fedora Update System 2012-06-19 10:54:43 EDT
Package evolution-mapi-3.4.3-1.fc17, evolution-exchange-3.4.3-1.fc17, evolution-ews-3.4.3-1.fc17, evolution-3.4.3-1.fc17, evolution-data-server-3.4.3-1.fc17, gtkhtml3-4.4.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing evolution-mapi-3.4.3-1.fc17 evolution-exchange-3.4.3-1.fc17 evolution-ews-3.4.3-1.fc17 evolution-3.4.3-1.fc17 evolution-data-server-3.4.3-1.fc17 gtkhtml3-4.4.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9627/evolution-mapi-3.4.3-1.fc17,evolution-exchange-3.4.3-1.fc17,evolution-ews-3.4.3-1.fc17,evolution-3.4.3-1.fc17,evolution-data-server-3.4.3-1.fc17,gtkhtml3-4.4.3-1.fc17
then log in and leave karma (feedback).
Comment 9 Dandim 2012-06-19 12:53:48 EDT
Update fixed problem! Thanks! :-)
Comment 10 Fedora Update System 2012-06-22 14:51:56 EDT
evolution-mapi-3.4.3-1.fc17, evolution-exchange-3.4.3-1.fc17, evolution-ews-3.4.3-1.fc17, evolution-3.4.3-1.fc17, evolution-data-server-3.4.3-1.fc17, gtkhtml3-4.4.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.